Subject: Re: [PATCH/RFC (take 2)] gitweb: New improved patchset view

From: Jakub Narebski <[email-masked]>
Date: Tue, 31 Oct 2006 00:32:09 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> I have realized that it is not as easy as it sounds, at least for the
>> git-diff-tree output...
> 
> I do not think so.a The output is designed to be machine
> parsable.  See Documentation/diff-format.txt and also please
> refer to 65a9289d:diff-helper.c for a sample code to see how to
> parse the output.

What I wanted to say is that the output is not easy to use in
"split first, parse later", with sometimes counting number of entries
in between. With current format you rather have to pass in one go,
for '-z' format reading filenames from the stream.

By the way, git-ls-tree -z uses TAB as a start of filename, while
git-diff-tree -z uses NUL as a start of (first) filename. Why?
-- 
Jakub Narebski